﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace LOLAPP.Modele
{
    [DataContract]
    public class Strategie
    {
        [DataMember]
        public string Name { get; private set; }
        [DataMember]
        public string Description { get; private set; }
        [DataMember]
        public List<Champion> Champions { get; private set; }

        public Strategie(string name, string description, List<Champion> champions)
        {
            // Le constructeur de la classe Strategie initialise le nom et les champions de la stratégie.
            Name = name;
            Description = description;
            Champions = champions;
        }
    }
}
